// Licensed to LinDB under one or more contributor
// license agreements. See the NOTICE file distributed with
// this work for additional information regarding copyright
// ownership. LinDB licenses this file to you under
// the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

// Code generated from ./sql/grammar/SQL.g4 by ANTLR 4.13.1. DO NOT EDIT.

package grammar

import (
	"fmt"
	"github.com/antlr4-go/antlr/v4"
	"sync"
	"unicode"
)

// Suppress unused import error
var _ = fmt.Printf
var _ = sync.Once{}
var _ = unicode.IsLetter

type SQLLexer struct {
	*antlr.BaseLexer
	channelNames []string
	modeNames    []string
	// TODO: EOF string
}

var SQLLexerLexerStaticData struct {
	once                   sync.Once
	serializedATN          []int32
	ChannelNames           []string
	ModeNames              []string
	LiteralNames           []string
	SymbolicNames          []string
	RuleNames              []string
	PredictionContextCache *antlr.PredictionContextCache
	atn                    *antlr.ATN
	decisionToDFA          []*antlr.DFA
}

func sqllexerLexerInit() {
	staticData := &SQLLexerLexerStaticData
	staticData.ChannelNames = []string{
		"DEFAULT_TOKEN_CHANNEL", "HIDDEN",
	}
	staticData.ModeNames = []string{
		"DEFAULT_MODE",
	}
	staticData.LiteralNames = []string{
		"", "'true'", "'false'", "'null'", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "'m'", "", "", "", "'M'", "", "'.'", "':'",
		"'='", "'<>'", "'!='", "'>'", "'>='", "'<'", "'<='", "'=~'", "'!~'",
		"','", "'{'", "'}'", "'['", "']'", "'('", "')'", "'+'", "'-'", "'/'",
		"'*'", "'%'", "'_'",
	}
	staticData.SymbolicNames = []string{
		"", "", "", "", "STRING", "WS", "T_CREATE", "T_UPDATE", "T_SET", "T_DROP",
		"T_INTERVAL", "T_INTERVAL_NAME", "T_SHARD", "T_REPLICATION", "T_MEMORY",
		"T_TTL", "T_META_TTL", "T_PAST_TTL", "T_FUTURE_TTL", "T_KILL", "T_ON",
		"T_SHOW", "T_RECOVER", "T_USE", "T_STATE_REPO", "T_STATE_MACHINE", "T_MASTER",
		"T_METADATA", "T_TYPES", "T_TYPE", "T_STORAGES", "T_STORAGE", "T_BROKER",
		"T_ROOT", "T_BROKERS", "T_ALIVE", "T_SCHEMAS", "T_DATASBAE", "T_DATASBAES",
		"T_NAMESPACE", "T_NAMESPACES", "T_NODE", "T_METRICS", "T_METRIC", "T_FIELD",
		"T_FIELDS", "T_TAG", "T_INFO", "T_KEYS", "T_KEY", "T_WITH", "T_VALUES",
		"T_VALUE", "T_FROM", "T_WHERE", "T_LIMIT", "T_QUERIES", "T_QUERY", "T_EXPLAIN",
		"T_WITH_VALUE", "T_SELECT", "T_AS", "T_AND", "T_OR", "T_FILL", "T_NULL",
		"T_PREVIOUS", "T_ORDER", "T_ASC", "T_DESC", "T_LIKE", "T_NOT", "T_BETWEEN",
		"T_IS", "T_GROUP", "T_HAVING", "T_BY", "T_FOR", "T_STATS", "T_TIME",
		"T_NOW", "T_IN", "T_ROLLUP", "T_LOG", "T_PROFILE", "T_REQUESTS", "T_REQUEST",
		"T_ID", "T_SUM", "T_MIN", "T_MAX", "T_COUNT", "T_LAST", "T_FIRST", "T_AVG",
		"T_STDDEV", "T_QUANTILE", "T_RATE", "T_NUM_OF_SHARD", "T_REPLICA_FACTOR",
		"T_AUTO_CREATE_NS", "T_BEHEAD", "T_AHEAD", "T_RETENTION", "T_SECOND",
		"T_MINUTE", "T_HOUR", "T_DAY", "T_WEEK", "T_MONTH", "T_YEAR", "T_DOT",
		"T_COLON", "T_EQUAL", "T_NOTEQUAL", "T_NOTEQUAL2", "T_GREATER", "T_GREATEREQUAL",
		"T_LESS", "T_LESSEQUAL", "T_REGEXP", "T_NEQREGEXP", "T_COMMA", "T_OPEN_B",
		"T_CLOSE_B", "T_OPEN_SB", "T_CLOSE_SB", "T_OPEN_P", "T_CLOSE_P", "T_ADD",
		"T_SUB", "T_DIV", "T_MUL", "T_MOD", "T_UNDERLINE", "L_ID", "L_INT",
		"L_DEC",
	}
	staticData.RuleNames = []string{
		"T__0", "T__1", "T__2", "STRING", "ESC", "UNICODE", "HEX", "SAFECODEPOINT",
		"EXP", "WS", "T_CREATE", "T_UPDATE", "T_SET", "T_DROP", "T_INTERVAL",
		"T_INTERVAL_NAME", "T_SHARD", "T_REPLICATION", "T_MEMORY", "T_TTL",
		"T_META_TTL", "T_PAST_TTL", "T_FUTURE_TTL", "T_KILL", "T_ON", "T_SHOW",
		"T_RECOVER", "T_USE", "T_STATE_REPO", "T_STATE_MACHINE", "T_MASTER",
		"T_METADATA", "T_TYPES", "T_TYPE", "T_STORAGES", "T_STORAGE", "T_BROKER",
		"T_ROOT", "T_BROKERS", "T_ALIVE", "T_SCHEMAS", "T_DATASBAE", "T_DATASBAES",
		"T_NAMESPACE", "T_NAMESPACES", "T_NODE", "T_METRICS", "T_METRIC", "T_FIELD",
		"T_FIELDS", "T_TAG", "T_INFO", "T_KEYS", "T_KEY", "T_WITH", "T_VALUES",
		"T_VALUE", "T_FROM", "T_WHERE", "T_LIMIT", "T_QUERIES", "T_QUERY", "T_EXPLAIN",
		"T_WITH_VALUE", "T_SELECT", "T_AS", "T_AND", "T_OR", "T_FILL", "T_NULL",
		"T_PREVIOUS", "T_ORDER", "T_ASC", "T_DESC", "T_LIKE", "T_NOT", "T_BETWEEN",
		"T_IS", "T_GROUP", "T_HAVING", "T_BY", "T_FOR", "T_STATS", "T_TIME",
		"T_NOW", "T_IN", "T_ROLLUP", "T_LOG", "T_PROFILE", "T_REQUESTS", "T_REQUEST",
		"T_ID", "T_SUM", "T_MIN", "T_MAX", "T_COUNT", "T_LAST", "T_FIRST", "T_AVG",
		"T_STDDEV", "T_QUANTILE", "T_RATE", "T_NUM_OF_SHARD", "T_REPLICA_FACTOR",
		"T_AUTO_CREATE_NS", "T_BEHEAD", "T_AHEAD", "T_RETENTION", "T_SECOND",
		"T_MINUTE", "T_HOUR", "T_DAY", "T_WEEK", "T_MONTH", "T_YEAR", "T_DOT",
		"T_COLON", "T_EQUAL", "T_NOTEQUAL", "T_NOTEQUAL2", "T_GREATER", "T_GREATEREQUAL",
		"T_LESS", "T_LESSEQUAL", "T_REGEXP", "T_NEQREGEXP", "T_COMMA", "T_OPEN_B",
		"T_CLOSE_B", "T_OPEN_SB", "T_CLOSE_SB", "T_OPEN_P", "T_CLOSE_P", "T_ADD",
		"T_SUB", "T_DIV", "T_MUL", "T_MOD", "T_UNDERLINE", "L_ID", "L_INT",
		"L_DEC", "BLANK", "L_DIGIT", "L_ID_PART", "A", "B", "C", "D", "E", "F",
		"G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T",
		"U", "V", "W", "X", "Y", "Z",
	}
	staticData.PredictionContextCache = antlr.NewPredictionContextCache()
	staticData.serializedATN = []int32{
		4, 0, 137, 1242, 6, -1, 2, 0, 7, 0, 2, 1, 7, 1, 2, 2, 7, 2, 2, 3, 7, 3,
		2, 4, 7, 4, 2, 5, 7, 5, 2, 6, 7, 6, 2, 7, 7, 7, 2, 8, 7, 8, 2, 9, 7, 9,
		2, 10, 7, 10, 2, 11, 7, 11, 2, 12, 7, 12, 2, 13, 7, 13, 2, 14, 7, 14, 2,
		15, 7, 15, 2, 16, 7, 16, 2, 17, 7, 17, 2, 18, 7, 18, 2, 19, 7, 19, 2, 20,
		7, 20, 2, 21, 7, 21, 2, 22, 7, 22, 2, 23, 7, 23, 2, 24, 7, 24, 2, 25, 7,
		25, 2, 26, 7, 26, 2, 27, 7, 27, 2, 28, 7, 28, 2, 29, 7, 29, 2, 30, 7, 30,
		2, 31, 7, 31, 2, 32, 7, 32, 2, 33, 7, 33, 2, 34, 7, 34, 2, 35, 7, 35, 2,
		36, 7, 36, 2, 37, 7, 37, 2, 38, 7, 38, 2, 39, 7, 39, 2, 40, 7, 40, 2, 41,
		7, 41, 2, 42, 7, 42, 2, 43, 7, 43, 2, 44, 7, 44, 2, 45, 7, 45, 2, 46, 7,
		46, 2, 47, 7, 47, 2, 48, 7, 48, 2, 49, 7, 49, 2, 50, 7, 50, 2, 51, 7, 51,
		2, 52, 7, 52, 2, 53, 7, 53, 2, 54, 7, 54, 2, 55, 7, 55, 2, 56, 7, 56, 2,
		57, 7, 57, 2, 58, 7, 58, 2, 59, 7, 59, 2, 60, 7, 60, 2, 61, 7, 61, 2, 62,
		7, 62, 2, 63, 7, 63, 2, 64, 7, 64, 2, 65, 7, 65, 2, 66, 7, 66, 2, 67, 7,
		67, 2, 68, 7, 68, 2, 69, 7, 69, 2, 70, 7, 70, 2, 71, 7, 71, 2, 72, 7, 72,
		2, 73, 7, 73, 2, 74, 7, 74, 2, 75, 7, 75, 2, 76, 7, 76, 2, 77, 7, 77, 2,
		78, 7, 78, 2, 79, 7, 79, 2, 80, 7, 80, 2, 81, 7, 81, 2, 82, 7, 82, 2, 83,
		7, 83, 2, 84, 7, 84, 2, 85, 7, 85, 2, 86, 7, 86, 2, 87, 7, 87, 2, 88, 7,
		88, 2, 89, 7, 89, 2, 90, 7, 90, 2, 91, 7, 91, 2, 92, 7, 92, 2, 93, 7, 93,
		2, 94, 7, 94, 2, 95, 7, 95, 2, 96, 7, 96, 2, 97, 7, 97, 2, 98, 7, 98, 2,
		99, 7, 99, 2, 100, 7, 100, 2, 101, 7, 101, 2, 102, 7, 102, 2, 103, 7, 103,
		2, 104, 7, 104, 2, 105, 7, 105, 2, 106, 7, 106, 2, 107, 7, 107, 2, 108,
		7, 108, 2, 109, 7, 109, 2, 110, 7, 110, 2, 111, 7, 111, 2, 112, 7, 112,
		2, 113, 7, 113, 2, 114, 7, 114, 2, 115, 7, 115, 2, 116, 7, 116, 2, 117,
		7, 117, 2, 118, 7, 118, 2, 119, 7, 119, 2, 120, 7, 120, 2, 121, 7, 121,
		2, 122, 7, 122, 2, 123, 7, 123, 2, 124, 7, 124, 2, 125, 7, 125, 2, 126,
		7, 126, 2, 127, 7, 127, 2, 128, 7, 128, 2, 129, 7, 129, 2, 130, 7, 130,
		2, 131, 7, 131, 2, 132, 7, 132, 2, 133, 7, 133, 2, 134, 7, 134, 2, 135,
		7, 135, 2, 136, 7, 136, 2, 137, 7, 137, 2, 138, 7, 138, 2, 139, 7, 139,
		2, 140, 7, 140, 2, 141, 7, 141, 2, 142, 7, 142, 2, 143, 7, 143, 2, 144,
		7, 144, 2, 145, 7, 145, 2, 146, 7, 146, 2, 147, 7, 147, 2, 148, 7, 148,
		2, 149, 7, 149, 2, 150, 7, 150, 2, 151, 7, 151, 2, 152, 7, 152, 2, 153,
		7, 153, 2, 154, 7, 154, 2, 155, 7, 155, 2, 156, 7, 156, 2, 157, 7, 157,
		2, 158, 7, 158, 2, 159, 7, 159, 2, 160, 7, 160, 2, 161, 7, 161, 2, 162,
		7, 162, 2, 163, 7, 163, 2, 164, 7, 164, 2, 165, 7, 165, 2, 166, 7, 166,
		2, 167, 7, 167, 2, 168, 7, 168, 2, 169, 7, 169, 2, 170, 7, 170, 1, 0, 1,
		0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 2, 1,
		2, 1, 2, 1, 2, 1, 3, 1, 3, 1, 3, 5, 3, 363, 8, 3, 10, 3, 12, 3, 366, 9,
		3, 1, 3, 1, 3, 1, 4, 1, 4, 1, 4, 3, 4, 373, 8, 4, 1, 5, 1, 5, 1, 5, 1,
		5, 1, 5, 1, 5, 1, 6, 1, 6, 1, 7, 1, 7, 1, 8, 1, 8, 3, 8, 387, 8, 8, 1,
		8, 1, 8, 1, 9, 4, 9, 392, 8, 9, 11, 9, 12, 9, 393, 1, 9, 1, 9, 1, 10, 1,
		10, 1, 10, 1, 10, 1, 10, 1, 10, 1, 10, 1, 11, 1, 11, 1, 11, 1, 11, 1, 11,
		1, 11, 1, 11, 1, 12, 1, 12, 1, 12, 1, 12, 1, 13, 1, 13, 1, 13, 1, 13, 1,
		13, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 15,
		1, 15, 1, 15, 1, 15, 1, 15, 1, 16, 1, 16, 1, 16, 1, 16, 1, 16, 1, 16, 1,
		17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17,
		1, 17, 1, 18, 1, 18, 1, 18, 1, 18, 1, 18, 1, 18, 1, 18, 1, 19, 1, 19, 1,
		19, 1, 19, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 21,
		1, 21, 1, 21, 1, 21, 1, 21, 1, 21, 1, 21, 1, 21, 1, 22, 1, 22, 1, 22, 1,
		22, 1, 22, 1, 22, 1, 22, 1, 22, 1, 22, 1, 22, 1, 23, 1, 23, 1, 23, 1, 23,
		1, 23, 1, 24, 1, 24, 1, 24, 1, 25, 1, 25, 1, 25, 1, 25, 1, 25, 1, 26, 1,
		26, 1, 26, 1, 26, 1, 26, 1, 26, 1, 26, 1, 26, 1, 27, 1, 27, 1, 27, 1, 27,
		1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1,
		28, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29,
		1, 29, 1, 29, 1, 29, 1, 29, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1,
		30, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 32,
		1, 32, 1, 32, 1, 32, 1, 32, 1, 32, 1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1,
		34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 35, 1, 35,
		1, 35, 1, 35, 1, 35, 1, 35, 1, 35, 1, 35, 1, 36, 1, 36, 1, 36, 1, 36, 1,
		36, 1, 36, 1, 36, 1, 37, 1, 37, 1, 37, 1, 37, 1, 37, 1, 38, 1, 38, 1, 38,
		1, 38, 1, 38, 1, 38, 1, 38, 1, 38, 1, 39, 1, 39, 1, 39, 1, 39, 1, 39, 1,
		39, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40, 1, 41, 1, 41,
		1, 41, 1, 41, 1, 41, 1, 41, 1, 41, 1, 41, 1, 41, 1, 42, 1, 42, 1, 42, 1,
		42, 1, 42, 1, 42, 1, 42, 1, 42, 1, 42, 1, 42, 1, 43, 1, 43, 1, 43, 1, 43,
		1, 43, 1, 43, 1, 43, 1, 43, 1, 43, 1, 43, 1, 44, 1, 44, 1, 44, 1, 44, 1,
		44, 1, 44, 1, 44, 1, 44, 1, 44, 1, 44, 1, 44, 1, 45, 1, 45, 1, 45, 1, 45,
		1, 45, 1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 47, 1,
		47, 1, 47, 1, 47, 1, 47, 1, 47, 1, 47, 1, 48, 1, 48, 1, 48, 1, 48, 1, 48,
		1, 48, 1, 49, 1, 49, 1, 49, 1, 49, 1, 49, 1, 49, 1, 49, 1, 50, 1, 50, 1,
		50, 1, 50, 1, 51, 1, 51, 1, 51, 1, 51, 1, 51, 1, 52, 1, 52, 1, 52, 1, 52,
		1, 52, 1, 53, 1, 53, 1, 53, 1, 53, 1, 54, 1, 54, 1, 54, 1, 54, 1, 54, 1,
		55, 1, 55, 1, 55, 1, 55, 1, 55, 1, 55, 1, 55, 1, 56, 1, 56, 1, 56, 1, 56,
		1, 56, 1, 56, 1, 57, 1, 57, 1, 57, 1, 57, 1, 57, 1, 58, 1, 58, 1, 58, 1,
		58, 1, 58, 1, 58, 1, 59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 60, 1, 60,
		1, 60, 1, 60, 1, 60, 1, 60, 1, 60, 1, 60, 1, 61, 1, 61, 1, 61, 1, 61, 1,
		61, 1, 61, 1, 62, 1, 62, 1, 62, 1, 62, 1, 62, 1, 62, 1, 62, 1, 62, 1, 63,
		1, 63, 1, 63, 1, 63, 1, 63, 1, 63, 1, 63, 1, 63, 1, 63, 1, 63, 1, 64, 1,
		64, 1, 64, 1, 64, 1, 64, 1, 64, 1, 64, 1, 65, 1, 65, 1, 65, 1, 66, 1, 66,
		1, 66, 1, 66, 1, 67, 1, 67, 1, 67, 1, 68, 1, 68, 1, 68, 1, 68, 1, 68, 1,
		69, 1, 69, 1, 69, 1, 69, 1, 69, 1, 70, 1, 70, 1, 70, 1, 70, 1, 70, 1, 70,
		1, 70, 1, 70, 1, 70, 1, 71, 1, 71, 1, 71, 1, 71, 1, 71, 1, 71, 1, 72, 1,
		72, 1, 72, 1, 72, 1, 73, 1, 73, 1, 73, 1, 73, 1, 73, 1, 74, 1, 74, 1, 74,
		1, 74, 1, 74, 1, 75, 1, 75, 1, 75, 1, 75, 1, 76, 1, 76, 1, 76, 1, 76, 1,
		76, 1, 76, 1, 76, 1, 76, 1, 77, 1, 77, 1, 77, 1, 78, 1, 78, 1, 78, 1, 78,
		1, 78, 1, 78, 1, 79, 1, 79, 1, 79, 1, 79, 1, 79, 1, 79, 1, 79, 1, 80, 1,
		80, 1, 80, 1, 81, 1, 81, 1, 81, 1, 81, 1, 82, 1, 82, 1, 82, 1, 82, 1, 82,
		1, 82, 1, 83, 1, 83, 1, 83, 1, 83, 1, 83, 1, 84, 1, 84, 1, 84, 1, 84, 1,
		85, 1, 85, 1, 85, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 87,
		1, 87, 1, 87, 1, 87, 1, 88, 1, 88, 1, 88, 1, 88, 1, 88, 1, 88, 1, 88, 1,
		88, 1, 89, 1, 89, 1, 89, 1, 89, 1, 89, 1, 89, 1, 89, 1, 89, 1, 89, 1, 90,
		1, 90, 1, 90, 1, 90, 1, 90, 1, 90, 1, 90, 1, 90, 1, 91, 1, 91, 1, 91, 1,
		92, 1, 92, 1, 92, 1, 92, 1, 93, 1, 93, 1, 93, 1, 93, 1, 94, 1, 94, 1, 94,
		1, 94, 1, 95, 1, 95, 1, 95, 1, 95, 1, 95, 1, 95, 1, 96, 1, 96, 1, 96, 1,
		96, 1, 96, 1, 97, 1, 97, 1, 97, 1, 97, 1, 97, 1, 97, 1, 98, 1, 98, 1, 98,
		1, 98, 1, 99, 1, 99, 1, 99, 1, 99, 1, 99, 1, 99, 1, 99, 1, 100, 1, 100,
		1, 100, 1, 100, 1, 100, 1, 100, 1, 100, 1, 100, 1, 100, 1, 101, 1, 101,
		1, 101, 1, 101, 1, 101, 1, 102, 1, 102, 1, 102, 1, 102, 1, 102, 1, 102,
		1, 102, 1, 102, 1, 102, 1, 102, 1, 102, 1, 103, 1, 103, 1, 103, 1, 103,
		1, 103, 1, 103, 1, 103, 1, 103, 1, 103, 1, 103, 1, 103, 1, 103, 1, 103,
		1, 103, 1, 104, 1, 104, 1, 104, 1, 104, 1, 104, 1, 104, 1, 104, 1, 104,
		1, 104, 1, 104, 1, 104, 1, 104, 1, 104, 1, 105, 1, 105, 1, 105, 1, 105,
		1, 105, 1, 105, 1, 105, 1, 106, 1, 106, 1, 106, 1, 106, 1, 106, 1, 106,
		1, 107, 1, 107, 1, 107, 1, 107, 1, 107, 1, 107, 1, 107, 1, 107, 1, 107,
		1, 107, 1, 108, 1, 108, 1, 109, 1, 109, 1, 110, 1, 110, 1, 111, 1, 111,
		1, 112, 1, 112, 1, 113, 1, 113, 1, 114, 1, 114, 1, 115, 1, 115, 1, 116,
		1, 116, 1, 117, 1, 117, 1, 118, 1, 118, 1, 118, 1, 119, 1, 119, 1, 119,
		1, 120, 1, 120, 1, 121, 1, 121, 1, 121, 1, 122, 1, 122, 1, 123, 1, 123,
		1, 123, 1, 124, 1, 124, 1, 124, 1, 125, 1, 125, 1, 125, 1, 126, 1, 126,
		1, 127, 1, 127, 1, 128, 1, 128, 1, 129, 1, 129, 1, 130, 1, 130, 1, 131,
		1, 131, 1, 132, 1, 132, 1, 133, 1, 133, 1, 134, 1, 134, 1, 135, 1, 135,
		1, 136, 1, 136, 1, 137, 1, 137, 1, 138, 1, 138, 1, 139, 1, 139, 1, 140,
		4, 140, 1110, 8, 140, 11, 140, 12, 140, 1111, 1, 141, 4, 141, 1115, 8,
		141, 11, 141, 12, 141, 1116, 1, 141, 1, 141, 1, 141, 5, 141, 1122, 8, 141,
		10, 141, 12, 141, 1125, 9, 141, 1, 141, 1, 141, 4, 141, 1129, 8, 141, 11,
		141, 12, 141, 1130, 3, 141, 1133, 8, 141, 1, 142, 1, 142, 1, 143, 1, 143,
		1, 144, 1, 144, 1, 144, 1, 144, 5, 144, 1143, 8, 144, 10, 144, 12, 144,
		1146, 9, 144, 1, 144, 1, 144, 1, 144, 5, 144, 1151, 8, 144, 10, 144, 12,
		144, 1154, 9, 144, 1, 144, 1, 144, 1, 144, 1, 144, 1, 144, 4, 144, 1161,
		8, 144, 11, 144, 12, 144, 1162, 1, 144, 1, 144, 5, 144, 1167, 8, 144, 10,
		144, 12, 144, 1170, 9, 144, 1, 144, 1, 144, 1, 144, 5, 144, 1175, 8, 144,
		10, 144, 12, 144, 1178, 9, 144, 1, 144, 1, 144, 1, 144, 5, 144, 1183, 8,
		144, 10, 144, 12, 144, 1186, 9, 144, 1, 144, 3, 144, 1189, 8, 144, 1, 145,
		1, 145, 1, 146, 1, 146, 1, 147, 1, 147, 1, 148, 1, 148, 1, 149, 1, 149,
		1, 150, 1, 150, 1, 151, 1, 151, 1, 152, 1, 152, 1, 153, 1, 153, 1, 154,
		1, 154, 1, 155, 1, 155, 1, 156, 1, 156, 1, 157, 1, 157, 1, 158, 1, 158,
		1, 159, 1, 159, 1, 160, 1, 160, 1, 161, 1, 161, 1, 162, 1, 162, 1, 163,
		1, 163, 1, 164, 1, 164, 1, 165, 1, 165, 1, 166, 1, 166, 1, 167, 1, 167,
		1, 168, 1, 168, 1, 169, 1, 169, 1, 170, 1, 170, 4, 1152, 1168, 1176, 1184,
		0, 171, 1, 1, 3, 2, 5, 3, 7, 4, 9, 0, 11, 0, 13, 0, 15, 0, 17, 0, 19, 5,
		21, 6, 23, 7, 25, 8, 27, 9, 29, 10, 31, 11, 33, 12, 35, 13, 37, 14, 39,
		15, 41, 16, 43, 17, 45, 18, 47, 19, 49, 20, 51, 21, 53, 22, 55, 23, 57,
		24, 59, 25, 61, 26, 63, 27, 65, 28, 67, 29, 69, 30, 71, 31, 73, 32, 75,
		33, 77, 34, 79, 35, 81, 36, 83, 37, 85, 38, 87, 39, 89, 40, 91, 41, 93,
		42, 95, 43, 97, 44, 99, 45, 101, 46, 103, 47, 105, 48, 107, 49, 109, 50,
		111, 51, 113, 52, 115, 53, 117, 54, 119, 55, 121, 56, 123, 57, 125, 58,
		127, 59, 129, 60, 131, 61, 133, 62, 135, 63, 137, 64, 139, 65, 141, 66,
		143, 67, 145, 68, 147, 69, 149, 70, 151, 71, 153, 72, 155, 73, 157, 74,
		159, 75, 161, 76, 163, 77, 165, 78, 167, 79, 169, 80, 171, 81, 173, 82,
		175, 83, 177, 84, 179, 85, 181, 86, 183, 87, 185, 88, 187, 89, 189, 90,
		191, 91, 193, 92, 195, 93, 197, 94, 199, 95, 201, 96, 203, 97, 205, 98,
		207, 99, 209, 100, 211, 101, 213, 102, 215, 103, 217, 104, 219, 105, 221,
		106, 223, 107, 225, 108, 227, 109, 229, 110, 231, 111, 233, 112, 235, 113,
		237, 114, 239, 115, 241, 116, 243, 117, 245, 118, 247, 119, 249, 120, 251,
		121, 253, 122, 255, 123, 257, 124, 259, 125, 261, 126, 263, 127, 265, 128,
		267, 129, 269, 130, 271, 131, 273, 132, 275, 133, 277, 134, 279, 135, 281,
		136, 283, 137, 285, 0, 287, 0, 289, 0, 291, 0, 293, 0, 295, 0, 297, 0,
		299, 0, 301, 0, 303, 0, 305, 0, 307, 0, 309, 0, 311, 0, 313, 0, 315, 0,
		317, 0, 319, 0, 321, 0, 323, 0, 325, 0, 327, 0, 329, 0, 331, 0, 333, 0,
		335, 0, 337, 0, 339, 0, 341, 0, 1, 0, 37, 8, 0, 34, 34, 47, 47, 92, 92,
		98, 98, 102, 102, 110, 110, 114, 114, 116, 116, 3, 0, 48, 57, 65, 70, 97,
		102, 3, 0, 0, 31, 34, 34, 92, 92, 2, 0, 69, 69, 101, 101, 2, 0, 43, 43,
		45, 45, 3, 0, 9, 10, 13, 13, 32, 32, 1, 0, 46, 46, 1, 0, 48, 57, 2, 0,
		65, 90, 97, 122, 2, 0, 46, 46, 95, 95, 3, 0, 35, 36, 64, 64, 95, 95, 4,
		0, 35, 36, 58, 58, 64, 64, 95, 95, 2, 0, 65, 65, 97, 97, 2, 0, 66, 66,
		98, 98, 2, 0, 67, 67, 99, 99, 2, 0, 68, 68, 100, 100, 2, 0, 70, 70, 102,
		102, 2, 0, 71, 71, 103, 103, 2, 0, 72, 72, 104, 104, 2, 0, 73, 73, 105,
		105, 2, 0, 74, 74, 106, 106, 2, 0, 75, 75, 107, 107, 2, 0, 76, 76, 108,
		108, 2, 0, 77, 77, 109, 109, 2, 0, 78, 78, 110, 110, 2, 0, 79, 79, 111,
		111, 2, 0, 80, 80, 112, 112, 2, 0, 81, 81, 113, 113, 2, 0, 82, 82, 114,
		114, 2, 0, 83, 83, 115, 115, 2, 0, 84, 84, 116, 116, 2, 0, 85, 85, 117,
		117, 2, 0, 86, 86, 118, 118, 2, 0, 87, 87, 119, 119, 2, 0, 88, 88, 120,
		120, 2, 0, 89, 89, 121, 121, 2, 0, 90, 90, 122, 122, 1232, 0, 1, 1, 0,
		0, 0, 0, 3, 1, 0, 0, 0, 0, 5, 1, 0, 0, 0, 0, 7, 1, 0, 0, 0, 0, 19, 1, 0,
		0, 0, 0, 21, 1, 0, 0, 0, 0, 23, 1, 0, 0, 0, 0, 25, 1, 0, 0, 0, 0, 27, 1,
		0, 0, 0, 0, 29, 1, 0, 0, 0, 0, 31, 1, 0, 0, 0, 0, 33, 1, 0, 0, 0, 0, 35,
		1, 0, 0, 0, 0, 37, 1, 0, 0, 0, 0, 39, 1, 0, 0, 0, 0, 41, 1, 0, 0, 0, 0,
		43, 1, 0, 0, 0, 0, 45, 1, 0, 0, 0, 0, 47, 1, 0, 0, 0, 0, 49, 1, 0, 0, 0,
		0, 51, 1, 0, 0, 0, 0, 53, 1, 0, 0, 0, 0, 55, 1, 0, 0, 0, 0, 57, 1, 0, 0,
		0, 0, 59, 1, 0, 0, 0, 0, 61, 1, 0, 0, 0, 0, 63, 1, 0, 0, 0, 0, 65, 1, 0,
		0, 0, 0, 67, 1, 0, 0, 0, 0, 69, 1, 0, 0, 0, 0, 71, 1, 0, 0, 0, 0, 73, 1,
		0, 0, 0, 0, 75, 1, 0, 0, 0, 0, 77, 1, 0, 0, 0, 0, 79, 1, 0, 0, 0, 0, 81,
		1, 0, 0, 0, 0, 83, 1, 0, 0, 0, 0, 85, 1, 0, 0, 0, 0, 87, 1, 0, 0, 0, 0,
		89, 1, 0, 0, 0, 0, 91, 1, 0, 0, 0, 0, 93, 1, 0, 0, 0, 0, 95, 1, 0, 0, 0,
		0, 97, 1, 0, 0, 0, 0, 99, 1, 0, 0, 0, 0, 101, 1, 0, 0, 0, 0, 103, 1, 0,
		0, 0, 0, 105, 1, 0, 0, 0, 0, 107, 1, 0, 0, 0, 0, 109, 1, 0, 0, 0, 0, 111,
		1, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 115, 1, 0, 0, 0, 0, 117, 1, 0, 0, 0,
		0, 119, 1, 0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 123, 1, 0, 0, 0, 0, 125, 1,
		0, 0, 0, 0, 127, 1, 0, 0, 0, 0, 129, 1, 0, 0, 0, 0, 131, 1, 0, 0, 0, 0,
		133, 1, 0, 0, 0, 0, 135, 1, 0, 0, 0, 0, 137, 1, 0, 0, 0, 0, 139, 1, 0,
		0, 0, 0, 141, 1, 0, 0, 0, 0, 143, 1, 0, 0, 0, 0, 145, 1, 0, 0, 0, 0, 147,
		1, 0, 0, 0, 0, 149, 1, 0, 0, 0, 0, 151, 1, 0, 0, 0, 0, 153, 1, 0, 0, 0,
		0, 155, 1, 0, 0, 0, 0, 157, 1, 0, 0, 0, 0, 159, 1, 0, 0, 0, 0, 161, 1,
		0, 0, 0, 0, 163, 1, 0, 0, 0, 0, 165, 1, 0, 0, 0, 0, 167, 1, 0, 0, 0, 0,
		169, 1, 0, 0, 0, 0, 171, 1, 0, 0, 0, 0, 173, 1, 0, 0, 0, 0, 175, 1, 0,
		0, 0, 0, 177, 1, 0, 0, 0, 0, 179, 1, 0, 0, 0, 0, 181, 1, 0, 0, 0, 0, 183,
		1, 0, 0, 0, 0, 185, 1, 0, 0, 0, 0, 187, 1, 0, 0, 0, 0, 189, 1, 0, 0, 0,
		0, 191, 1, 0, 0, 0, 0, 193, 1, 0, 0, 0, 0, 195, 1, 0, 0, 0, 0, 197, 1,
		0, 0, 0, 0, 199, 1, 0, 0, 0, 0, 201, 1, 0, 0, 0, 0, 203, 1, 0, 0, 0, 0,
		205, 1, 0, 0, 0, 0, 207, 1, 0, 0, 0, 0, 209, 1, 0, 0, 0, 0, 211, 1, 0,
		0, 0, 0, 213, 1, 0, 0, 0, 0, 215, 1, 0, 0, 0, 0, 217, 1, 0, 0, 0, 0, 219,
		1, 0, 0, 0, 0, 221, 1, 0, 0, 0, 0, 223, 1, 0, 0, 0, 0, 225, 1, 0, 0, 0,
		0, 227, 1, 0, 0, 0, 0, 229, 1, 0, 0, 0, 0, 231, 1, 0, 0, 0, 0, 233, 1,
		0, 0, 0, 0, 235, 1, 0, 0, 0, 0, 237, 1, 0, 0, 0, 0, 239, 1, 0, 0, 0, 0,
		241, 1, 0, 0, 0, 0, 243, 1, 0, 0, 0, 0, 245, 1, 0, 0, 0, 0, 247, 1, 0,
		0, 0, 0, 249, 1, 0, 0, 0, 0, 251, 1, 0, 0, 0, 0, 253, 1, 0, 0, 0, 0, 255,
		1, 0, 0, 0, 0, 257, 1, 0, 0, 0, 0, 259, 1, 0, 0, 0, 0, 261, 1, 0, 0, 0,
		0, 263, 1, 0, 0, 0, 0, 265, 1, 0, 0, 0, 0, 267, 1, 0, 0, 0, 0, 269, 1,
		0, 0, 0, 0, 271, 1, 0, 0, 0, 0, 273, 1, 0, 0, 0, 0, 275, 1, 0, 0, 0, 0,
		277, 1, 0, 0, 0, 0, 279, 1, 0, 0, 0, 0, 281, 1, 0, 0, 0, 0, 283, 1, 0,
		0, 0, 1, 343, 1, 0, 0, 0, 3, 348, 1, 0, 0, 0, 5, 354, 1, 0, 0, 0, 7, 359,
		1, 0, 0, 0, 9, 369, 1, 0, 0, 0, 11, 374, 1, 0, 0, 0, 13, 380, 1, 0, 0,
		0, 15, 382, 1, 0, 0, 0, 17, 384, 1, 0, 0, 0, 19, 391, 1, 0, 0, 0, 21, 397,
		1, 0, 0, 0, 23, 404, 1, 0, 0, 0, 25, 411, 1, 0, 0, 0, 27, 415, 1, 0, 0,
		0, 29, 420, 1, 0, 0, 0, 31, 429, 1, 0, 0, 0, 33, 434, 1, 0, 0, 0, 35, 440,
		1, 0, 0, 0, 37, 452, 1, 0, 0, 0, 39, 459, 1, 0, 0, 0, 41, 463, 1, 0, 0,
		0, 43, 471, 1, 0, 0, 0, 45, 479, 1, 0, 0, 0, 47, 489, 1, 0, 0, 0, 49, 494,
		1, 0, 0, 0, 51, 497, 1, 0, 0, 0, 53, 502, 1, 0, 0, 0, 55, 510, 1, 0, 0,
		0, 57, 514, 1, 0, 0, 0, 59, 525, 1, 0, 0, 0, 61, 539, 1, 0, 0, 0, 63, 546,
		1, 0, 0, 0, 65, 555, 1, 0, 0, 0, 67, 561, 1, 0, 0, 0, 69, 566, 1, 0, 0,
		0, 71, 575, 1, 0, 0, 0, 73, 583, 1, 0, 0, 0, 75, 590, 1, 0, 0, 0, 77, 595,
		1, 0, 0, 0, 79, 603, 1, 0, 0, 0, 81, 609, 1, 0, 0, 0, 83, 617, 1, 0, 0,
		0, 85, 626, 1, 0, 0, 0, 87, 636, 1, 0, 0, 0, 89, 646, 1, 0, 0, 0, 91, 657,
		1, 0, 0, 0, 93, 662, 1, 0, 0, 0, 95, 670, 1, 0, 0, 0, 97, 677, 1, 0, 0,
		0, 99, 683, 1, 0, 0, 0, 101, 690, 1, 0, 0, 0, 103, 694, 1, 0, 0, 0, 105,
		699, 1, 0, 0, 0, 107, 704, 1, 0, 0, 0, 109, 708, 1, 0, 0, 0, 111, 713,
		1, 0, 0, 0, 113, 720, 1, 0, 0, 0, 115, 726, 1, 0, 0, 0, 117, 731, 1, 0,
		0, 0, 119, 737, 1, 0, 0, 0, 121, 743, 1, 0, 0, 0, 123, 751, 1, 0, 0, 0,
		125, 757, 1, 0, 0, 0, 127, 765, 1, 0, 0, 0, 129, 775, 1, 0, 0, 0, 131,
		782, 1, 0, 0, 0, 133, 785, 1, 0, 0, 0, 135, 789, 1, 0, 0, 0, 137, 792,
		1, 0, 0, 0, 139, 797, 1, 0, 0, 0, 141, 802, 1, 0, 0, 0, 143, 811, 1, 0,
		0, 0, 145, 817, 1, 0, 0, 0, 147, 821, 1, 0, 0, 0, 149, 826, 1, 0, 0, 0,
		151, 831, 1, 0, 0, 0, 153, 835, 1, 0, 0, 0, 155, 843, 1, 0, 0, 0, 157,
		846, 1, 0, 0, 0, 159, 852, 1, 0, 0, 0, 161, 859, 1, 0, 0, 0, 163, 862,
		1, 0, 0, 0, 165, 866, 1, 0, 0, 0, 167, 872, 1, 0, 0, 0, 169, 877, 1, 0,
		0, 0, 171, 881, 1, 0, 0, 0, 173, 884, 1, 0, 0, 0, 175, 891, 1, 0, 0, 0,
		177, 895, 1, 0, 0, 0, 179, 903, 1, 0, 0, 0, 181, 912, 1, 0, 0, 0, 183,
		920, 1, 0, 0, 0, 185, 923, 1, 0, 0, 0, 187, 927, 1, 0, 0, 0, 189, 931,
		1, 0, 0, 0, 191, 935, 1, 0, 0, 0, 193, 941, 1, 0, 0, 0, 195, 946, 1, 0,
		0, 0, 197, 952, 1, 0, 0, 0, 199, 956, 1, 0, 0, 0, 201, 963, 1, 0, 0, 0,
		203, 972, 1, 0, 0, 0, 205, 977, 1, 0, 0, 0, 207, 988, 1, 0, 0, 0, 209,
		1002, 1, 0, 0, 0, 211, 1015, 1, 0, 0, 0, 213, 1022, 1, 0, 0, 0, 215, 1028,
		1, 0, 0, 0, 217, 1038, 1, 0, 0, 0, 219, 1040, 1, 0, 0, 0, 221, 1042, 1,
		0, 0, 0, 223, 1044, 1, 0, 0, 0, 225, 1046, 1, 0, 0, 0, 227, 1048, 1, 0,
		0, 0, 229, 1050, 1, 0, 0, 0, 231, 1052, 1, 0, 0, 0, 233, 1054, 1, 0, 0,
		0, 235, 1056, 1, 0, 0, 0, 237, 1058, 1, 0, 0, 0, 239, 1061, 1, 0, 0, 0,
		241, 1064, 1, 0, 0, 0, 243, 1066, 1, 0, 0, 0, 245, 1069, 1, 0, 0, 0, 247,
		1071, 1, 0, 0, 0, 249, 1074, 1, 0, 0, 0, 251, 1077, 1, 0, 0, 0, 253, 1080,
		1, 0, 0, 0, 255, 1082, 1, 0, 0, 0, 257, 1084, 1, 0, 0, 0, 259, 1086, 1,
		0, 0, 0, 261, 1088, 1, 0, 0, 0, 263, 1090, 1, 0, 0, 0, 265, 1092, 1, 0,
		0, 0, 267, 1094, 1, 0, 0, 0, 269, 1096, 1, 0, 0, 0, 271, 1098, 1, 0, 0,
		0, 273, 1100, 1, 0, 0, 0, 275, 1102, 1, 0, 0, 0, 277, 1104, 1, 0, 0, 0,
		279, 1106, 1, 0, 0, 0, 281, 1109, 1, 0, 0, 0, 283, 1132, 1, 0, 0, 0, 285,
		1134, 1, 0, 0, 0, 287, 1136, 1, 0, 0, 0, 289, 1188, 1, 0, 0, 0, 291, 1190,
		1, 0, 0, 0, 293, 1192, 1, 0, 0, 0, 295, 1194, 1, 0, 0, 0, 297, 1196, 1,
		0, 0, 0, 299, 1198, 1, 0, 0, 0, 301, 1200, 1, 0, 0, 0, 303, 1202, 1, 0,
		0, 0, 305, 1204, 1, 0, 0, 0, 307, 1206, 1, 0, 0, 0, 309, 1208, 1, 0, 0,
		0, 311, 1210, 1, 0, 0, 0, 313, 1212, 1, 0, 0, 0, 315, 1214, 1, 0, 0, 0,
		317, 1216, 1, 0, 0, 0, 319, 1218, 1, 0, 0, 0, 321, 1220, 1, 0, 0, 0, 323,
		1222, 1, 0, 0, 0, 325, 1224, 1, 0, 0, 0, 327, 1226, 1, 0, 0, 0, 329, 1228,
		1, 0, 0, 0, 331, 1230, 1, 0, 0, 0, 333, 1232, 1, 0, 0, 0, 335, 1234, 1,
		0, 0, 0, 337, 1236, 1, 0, 0, 0, 339, 1238, 1, 0, 0, 0, 341, 1240, 1, 0,
		0, 0, 343, 344, 5, 116, 0, 0, 344, 345, 5, 114, 0, 0, 345, 346, 5, 117,
		0, 0, 346, 347, 5, 101, 0, 0, 347, 2, 1, 0, 0, 0, 348, 349, 5, 102, 0,
		0, 349, 350, 5, 97, 0, 0, 350, 351, 5, 108, 0, 0, 351, 352, 5, 115, 0,
		0, 352, 353, 5, 101, 0, 0, 353, 4, 1, 0, 0, 0, 354, 355, 5, 110, 0, 0,
		355, 356, 5, 117, 0, 0, 356, 357, 5, 108, 0, 0, 357, 358, 5, 108, 0, 0,
		358, 6, 1, 0, 0, 0, 359, 364, 5, 34, 0, 0, 360, 363, 3, 9, 4, 0, 361, 363,
		3, 15, 7, 0, 362, 360, 1, 0, 0, 0, 362, 361, 1, 0, 0, 0, 363, 366, 1, 0,
		0, 0, 364, 362, 1, 0, 0, 0, 364, 365, 1, 0, 0, 0, 365, 367, 1, 0, 0, 0,
		366, 364, 1, 0, 0, 0, 367, 368, 5, 34, 0, 0, 368, 8, 1, 0, 0, 0, 369, 372,
		5, 92, 0, 0, 370, 373, 7, 0, 0, 0, 371, 373, 3, 11, 5, 0, 372, 370, 1,
		0, 0, 0, 372, 371, 1, 0, 0, 0, 373, 10, 1, 0, 0, 0, 374, 375, 5, 117, 0,
		0, 375, 376, 3, 13, 6, 0, 376, 377, 3, 13, 6, 0, 377, 378, 3, 13, 6, 0,
		378, 379, 3, 13, 6, 0, 379, 12, 1, 0, 0, 0, 380, 381, 7, 1, 0, 0, 381,
		14, 1, 0, 0, 0, 382, 383, 8, 2, 0, 0, 383, 16, 1, 0, 0, 0, 384, 386, 7,
		3, 0, 0, 385, 387, 7, 4, 0, 0, 386, 385, 1, 0, 0, 0, 386, 387, 1, 0, 0,
		0, 387, 388, 1, 0, 0, 0, 388, 389, 3, 281, 140, 0, 389, 18, 1, 0, 0, 0,
		390, 392, 7, 5, 0, 0, 391, 390, 1, 0, 0, 0, 392, 393, 1, 0, 0, 0, 393,
		391, 1, 0, 0, 0, 393, 394, 1, 0, 0, 0, 394, 395, 1, 0, 0, 0, 395, 396,
		6, 9, 0, 0, 396, 20, 1, 0, 0, 0, 397, 398, 3, 295, 147, 0, 398, 399, 3,
		325, 162, 0, 399, 400, 3, 299, 149, 0, 400, 401, 3, 291, 145, 0, 401, 402,
		3, 329, 164, 0, 402, 403, 3, 299, 149, 0, 403, 22, 1, 0, 0, 0, 404, 405,
		3, 331, 165, 0, 405, 406, 3, 321, 160, 0, 406, 407, 3, 297, 148, 0, 407,
		408, 3, 291, 145, 0, 408, 409, 3, 329, 164, 0, 409, 410, 3, 299, 149, 0,
		410, 24, 1, 0, 0, 0, 411, 412, 3, 327, 163, 0, 412, 413, 3, 299, 149, 0,
		413, 414, 3, 329, 164, 0, 414, 26, 1, 0, 0, 0, 415, 416, 3, 297, 148, 0,
		416, 417, 3, 325, 162, 0, 417, 418, 3, 319, 159, 0, 418, 419, 3, 321, 160,
		0, 419, 28, 1, 0, 0, 0, 420, 421, 3, 307, 153, 0, 421, 422, 3, 317, 158,
		0, 422, 423, 3, 329, 164, 0, 423, 424, 3, 299, 149, 0, 424, 425, 3, 325,
		162, 0, 425, 426, 3, 333, 166, 0, 426, 427, 3, 291, 145, 0, 427, 428, 3,
		313, 156, 0, 428, 30, 1, 0, 0, 0, 429, 430, 3, 317, 158, 0, 430, 431, 3,
		291, 145, 0, 431, 432, 3, 315, 157, 0, 432, 433, 3, 299, 149, 0, 433, 32,
		1, 0, 0, 0, 434, 435, 3, 327, 163, 0, 435, 436, 3, 305, 152, 0, 436, 437,
		3, 291, 145, 0, 437, 438, 3, 325, 162, 0, 438, 439, 3, 297, 148, 0, 439,
		34, 1, 0, 0, 0, 440, 441, 3, 325, 162, 0, 441, 442, 3, 299, 149, 0, 442,
		443, 3, 321, 160, 0, 443, 444, 3, 313, 156, 0, 444, 445, 3, 307, 153, 0,
		445, 446, 3, 295, 147, 0, 446, 447, 3, 291, 145, 0, 447, 448, 3, 329, 164,
		0, 448, 449, 3, 307, 153, 0, 449, 450, 3, 319, 159, 0, 450, 451, 3, 317,
		158, 0, 451, 36, 1, 0, 0, 0, 452, 453, 3, 315, 157, 0, 453, 454, 3, 299,
		149, 0, 454, 455, 3, 315, 157, 0, 455, 456, 3, 319, 159, 0, 456, 457, 3,
		325, 162, 0, 457, 458, 3, 339, 169, 0, 458, 38, 1, 0, 0, 0, 459, 460, 3,
		329, 164, 0, 460, 461, 3, 329, 164, 0, 461, 462, 3, 313, 156, 0, 462, 40,
		1, 0, 0, 0, 463, 464, 3, 315, 157, 0, 464, 465, 3, 299, 149, 0, 465, 466,
		3, 329, 164, 0, 466, 467, 3, 291, 145, 0, 467, 468, 3, 329, 164, 0, 468,
		469, 3, 329, 164, 0, 469, 470, 3, 313, 156, 0, 470, 42, 1, 0, 0, 0, 471,
		472, 3, 321, 160, 0, 472, 473, 3, 291, 145, 0, 473, 474, 3, 327, 163, 0,
		474, 475, 3, 329, 164, 0, 475, 476, 3, 329, 164, 0, 476, 477, 3, 329, 164,
		0, 477, 478, 3, 313, 156, 0, 478, 44, 1, 0, 0, 0, 479, 480, 3, 301, 150,
		0, 480, 481, 3, 331, 165, 0, 481, 482, 3, 329, 164, 0, 482, 483, 3, 331,
		165, 0, 483, 484, 3, 325, 162, 0, 484, 485, 3, 299, 149, 0, 485, 486, 3,
		329, 164, 0, 486, 487, 3, 329, 164, 0, 487, 488, 3, 313, 156, 0, 488, 46,
		1, 0, 0, 0, 489, 490, 3, 311, 155, 0, 490, 491, 3, 307, 153, 0, 491, 492,
		3, 313, 156, 0, 492, 493, 3, 313, 156, 0, 493, 48, 1, 0, 0, 0, 494, 495,
		3, 319, 159, 0, 495, 496, 3, 317, 158, 0, 496, 50, 1, 0, 0, 0, 497, 498,
		3, 327, 163, 0, 498, 499, 3, 305, 152, 0, 499, 500, 3, 319, 159, 0, 500,
		501, 3, 335, 167, 0, 501, 52, 1, 0, 0, 0, 502, 503, 3, 325, 162, 0, 503,
		504, 3, 299, 149, 0, 504, 505, 3, 295, 147, 0, 505, 506, 3, 319, 159, 0,
		506, 507, 3, 333, 166, 0, 507, 508, 3, 299, 149, 0, 508, 509, 3, 325, 162,
		0, 509, 54, 1, 0, 0, 0, 510, 511, 3, 331, 165, 0, 511, 512, 3, 327, 163,
		0, 512, 513, 3, 299, 149, 0, 513, 56, 1, 0, 0, 0, 514, 515, 3, 327, 163,
		0, 515, 516, 3, 329, 164, 0, 516, 517, 3, 291, 145, 0, 517, 518, 3, 329,
		164, 0, 518, 519, 3, 299, 149, 0, 519, 520, 3, 277, 138, 0, 520, 521, 3,
		325, 162, 0, 521, 522, 3, 299, 149, 0, 522, 523, 3, 321, 160, 0, 523, 524,
		3, 319, 159, 0, 524, 58, 1, 0, 0, 0, 525, 526, 3, 327, 163, 0, 526, 527,
		3, 329, 164, 0, 527, 528, 3, 291, 145, 0, 528, 529, 3, 329, 164, 0, 529,
		530, 3, 299, 149, 0, 530, 531, 3, 277, 138, 0, 531, 532, 3, 315, 157, 0,
		532, 533, 3, 291, 145, 0, 533, 534, 3, 295, 147, 0, 534, 535, 3, 305, 152,
		0, 535, 536, 3, 307, 153, 0, 536, 537, 3, 317, 158, 0, 537, 538, 3, 299,
		149, 0, 538, 60, 1, 0, 0, 0, 539, 540, 3, 315, 157, 0, 540, 541, 3, 291,
		145, 0, 541, 542, 3, 327, 163, 0, 542, 543, 3, 329, 164, 0, 543, 544, 3,
		299, 149, 0, 544, 545, 3, 325, 162, 0, 545, 62, 1, 0, 0, 0, 546, 547, 3,
		315, 157, 0, 547, 548, 3, 299, 149, 0, 548, 549, 3, 329, 164, 0, 549, 550,
		3, 291, 145, 0, 550, 551, 3, 297, 148, 0, 551, 552, 3, 291, 145, 0, 552,
		553, 3, 329, 164, 0, 553, 554, 3, 291, 145, 0, 554, 64, 1, 0, 0, 0, 555,
		556, 3, 329, 164, 0, 556, 557, 3, 339, 169, 0, 557, 558, 3, 321, 160, 0,
		558, 559, 3, 299, 149, 0, 559, 560, 3, 327, 163, 0, 560, 66, 1, 0, 0, 0,
		561, 562, 3, 329, 164, 0, 562, 563, 3, 339, 169, 0, 563, 564, 3, 321, 160,
		0, 564, 565, 3, 299, 149, 0, 565, 68, 1, 0, 0, 0, 566, 567, 3, 327, 163,
		0, 567, 568, 3, 329, 164, 0, 568, 569, 3, 319, 159, 0, 569, 570, 3, 325,
		162, 0, 570, 571, 3, 291, 145, 0, 571, 572, 3, 303, 151, 0, 572, 573, 3,
		299, 149, 0, 573, 574, 3, 327, 163, 0, 574, 70, 1, 0, 0, 0, 575, 576, 3,
		327, 163, 0, 576, 577, 3, 329, 164, 0, 577, 578, 3, 319, 159, 0, 578, 579,
		3, 325, 162, 0, 579, 580, 3, 291, 145, 0, 580, 581, 3, 303, 151, 0, 581,
		582, 3, 299, 149, 0, 582, 72, 1, 0, 0, 0, 583, 584, 3, 293, 146, 0, 584,
		585, 3, 325, 162, 0, 585, 586, 3, 319, 159, 0, 586, 587, 3, 311, 155, 0,
		587, 588, 3, 299, 149, 0, 588, 589, 3, 325, 162, 0, 589, 74, 1, 0, 0, 0,
		590, 591, 3, 325, 162, 0, 591, 592, 3, 319, 159, 0, 592, 593, 3, 319, 159,
		0, 593, 594, 3, 329, 164, 0, 594, 76, 1, 0, 0, 0, 595, 596, 3, 293, 146,
		0, 596, 597, 3, 325, 162, 0, 597, 598, 3, 319, 159, 0, 598, 599, 3, 311,
		155, 0, 599, 600, 3, 299, 149, 0, 600, 601, 3, 325, 162, 0, 601, 602, 3,
		327, 163, 0, 602, 78, 1, 0, 0, 0, 603, 604, 3, 291, 145, 0, 604, 605, 3,
		313, 156, 0, 605, 606, 3, 307, 153, 0, 606, 607, 3, 333, 166, 0, 607, 608,
		3, 299, 149, 0, 608, 80, 1, 0, 0, 0, 609, 610, 3, 327, 163, 0, 610, 611,
		3, 295, 147, 0, 611, 612, 3, 305, 152, 0, 612, 613, 3, 299, 149, 0, 613,
		614, 3, 315, 157, 0, 614, 615, 3, 291, 145, 0, 615, 616, 3, 327, 163, 0,
		616, 82, 1, 0, 0, 0, 617, 618, 3, 297, 148, 0, 618, 619, 3, 291, 145, 0,
		619, 620, 3, 329, 164, 0, 620, 621, 3, 291, 145, 0, 621, 622, 3, 293, 146,
		0, 622, 623, 3, 291, 145, 0, 623, 624, 3, 327, 163, 0, 624, 625, 3, 299,
		149, 0, 625, 84, 1, 0, 0, 0, 626, 627, 3, 297, 148, 0, 627, 628, 3, 291,
		145, 0, 628, 629, 3, 329, 164, 0, 629, 630, 3, 291, 145, 0, 630, 631, 3,
		293, 146, 0, 631, 632, 3, 291, 145, 0, 632, 633, 3, 327, 163, 0, 633, 634,
		3, 299, 149, 0, 634, 635, 3, 327, 163, 0, 635, 86, 1, 0, 0, 0, 636, 637,
		3, 317, 158, 0, 637, 638, 3, 291, 145, 0, 638, 639, 3, 315, 157, 0, 639,
		640, 3, 299, 149, 0, 640, 641, 3, 327, 163, 0, 641, 642, 3, 321, 160, 0,
		642, 643, 3, 291, 145, 0, 643, 644, 3, 295, 147, 0, 644, 645, 3, 299, 149,
		0, 645, 88, 1, 0, 0, 0, 646, 647, 3, 317, 158, 0, 647, 648, 3, 291, 145,
		0, 648, 649, 3, 315, 157, 0, 649, 650, 3, 299, 149, 0, 650, 651, 3, 327,
		163, 0, 651, 652, 3, 321, 160, 0, 652, 653, 3, 291, 145, 0, 653, 654, 3,
		295, 147, 0, 654, 655, 3, 299, 149, 0, 655, 656, 3, 327, 163, 0, 656, 90,
		1, 0, 0, 0, 657, 658, 3, 317, 158, 0, 658, 659, 3, 319, 159, 0, 659, 660,
		3, 297, 148, 0, 660, 661, 3, 299, 149, 0, 661, 92, 1, 0, 0, 0, 662, 663,
		3, 315, 157, 0, 663, 664, 3, 299, 149, 0, 664, 665, 3, 329, 164, 0, 665,
		666, 3, 325, 162, 0, 666, 667, 3, 307, 153, 0, 667, 668, 3, 295, 147, 0,
		668, 669, 3, 327, 163, 0, 669, 94, 1, 0, 0, 0, 670, 671, 3, 315, 157, 0,
		671, 672, 3, 299, 149, 0, 672, 673, 3, 329, 164, 0, 673, 674, 3, 325, 162,
		0, 674, 675, 3, 307, 153, 0, 675, 676, 3, 295, 147, 0, 676, 96, 1, 0, 0,
		0, 677, 678, 3, 301, 150, 0, 678, 679, 3, 307, 153, 0, 679, 680, 3, 299,
		149, 0, 680, 681, 3, 313, 156, 0, 681, 682, 3, 297, 148, 0, 682, 98, 1,
		0, 0, 0, 683, 684, 3, 301, 150, 0, 684, 685, 3, 307, 153, 0, 685, 686,
		3, 299, 149, 0, 686, 687, 3, 313, 156, 0, 687, 688, 3, 297, 148, 0, 688,
		689, 3, 327, 163, 0, 689, 100, 1, 0, 0, 0, 690, 691, 3, 329, 164, 0, 691,
		692, 3, 291, 145, 0, 692, 693, 3, 303, 151, 0, 693, 102, 1, 0, 0, 0, 694,
		695, 3, 307, 153, 0, 695, 696, 3, 317, 158, 0, 696, 697, 3, 301, 150, 0,
		697, 698, 3, 319, 159, 0, 698, 104, 1, 0, 0, 0, 699, 700, 3, 311, 155,
		0, 700, 701, 3, 299, 149, 0, 701, 702, 3, 339, 169, 0, 702, 703, 3, 327,
		163, 0, 703, 106, 1, 0, 0, 0, 704, 705, 3, 311, 155, 0, 705, 706, 3, 299,
		149, 0, 706, 707, 3, 339, 169, 0, 707, 108, 1, 0, 0, 0, 708, 709, 3, 335,
		167, 0, 709, 710, 3, 307, 153, 0, 710, 711, 3, 329, 164, 0, 711, 712, 3,
		305, 152, 0, 712, 110, 1, 0, 0, 0, 713, 714, 3, 333, 166, 0, 714, 715,
		3, 291, 145, 0, 715, 716, 3, 313, 156, 0, 716, 717, 3, 331, 165, 0, 717,
		718, 3, 299, 149, 0, 718, 719, 3, 327, 163, 0, 719, 112, 1, 0, 0, 0, 720,
		721, 3, 333, 166, 0, 721, 722, 3, 291, 145, 0, 722, 723, 3, 313, 156, 0,
		723, 724, 3, 331, 165, 0, 724, 725, 3, 299, 149, 0, 725, 114, 1, 0, 0,
		0, 726, 727, 3, 301, 150, 0, 727, 728, 3, 325, 162, 0, 728, 729, 3, 319,
		159, 0, 729, 730, 3, 315, 157, 0, 730, 116, 1, 0, 0, 0, 731, 732, 3, 335,
		167, 0, 732, 733, 3, 305, 152, 0, 733, 734, 3, 299, 149, 0, 734, 735, 3,
		325, 162, 0, 735, 736, 3, 299, 149, 0, 736, 118, 1, 0, 0, 0, 737, 738,
		3, 313, 156, 0, 738, 739, 3, 307, 153, 0, 739, 740, 3, 315, 157, 0, 740,
		741, 3, 307, 153, 0, 741, 742, 3, 329, 164, 0, 742, 120, 1, 0, 0, 0, 743,
		744, 3, 323, 161, 0, 744, 745, 3, 331, 165, 0, 745, 746, 3, 299, 149, 0,
		746, 747, 3, 325, 162, 0, 747, 748, 3, 307, 153, 0, 748, 749, 3, 299, 149,
		0, 749, 750, 3, 327, 163, 0, 750, 122, 1, 0, 0, 0, 751, 752, 3, 323, 161,
		0, 752, 753, 3, 331, 165, 0, 753, 754, 3, 299, 149, 0, 754, 755, 3, 325,
		162, 0, 755, 756, 3, 339, 169, 0, 756, 124, 1, 0, 0, 0, 757, 758, 3, 299,
		149, 0, 758, 759, 3, 337, 168, 0, 759, 760, 3, 321, 160, 0, 760, 761, 3,
		313, 156, 0, 761, 762, 3, 291, 145, 0, 762, 763, 3, 307, 153, 0, 763, 764,
		3, 317, 158, 0, 764, 126, 1, 0, 0, 0, 765, 766, 3, 335, 167, 0, 766, 767,
		3, 307, 153, 0, 767, 768, 3, 329, 164, 0, 768, 769, 3, 305, 152, 0, 769,
		770, 3, 333, 166, 0, 770, 771, 3, 291, 145, 0, 771, 772, 3, 313, 156, 0,
		772, 773, 3, 331, 165, 0, 773, 774, 3, 299, 149, 0, 774, 128, 1, 0, 0,
		0, 775, 776, 3, 327, 163, 0, 776, 777, 3, 299, 149, 0, 777, 778, 3, 313,
		156, 0, 778, 779, 3, 299, 149, 0, 779, 780, 3, 295, 147, 0, 780, 781, 3,
		329, 164, 0, 781, 130, 1, 0, 0, 0, 782, 783, 3, 291, 145, 0, 783, 784,
		3, 327, 163, 0, 784, 132, 1, 0, 0, 0, 785, 786, 3, 291, 145, 0, 786, 787,
		3, 317, 158, 0, 787, 788, 3, 297, 148, 0, 788, 134, 1, 0, 0, 0, 789, 790,
		3, 319, 159, 0, 790, 791, 3, 325, 162, 0, 791, 136, 1, 0, 0, 0, 792, 793,
		3, 301, 150, 0, 793, 794, 3, 307, 153, 0, 794, 795, 3, 313, 156, 0, 795,
		796, 3, 313, 156, 0, 796, 138, 1, 0, 0, 0, 797, 798, 3, 317, 158, 0, 798,
		799, 3, 331, 165, 0, 799, 800, 3, 313, 156, 0, 800, 801, 3, 313, 156, 0,
		801, 140, 1, 0, 0, 0, 802, 803, 3, 321, 160, 0, 803, 804, 3, 325, 162,
		0, 804, 805, 3, 299, 149, 0, 805, 806, 3, 333, 166, 0, 806, 807, 3, 307,
		153, 0, 807, 808, 3, 319, 159, 0, 808, 809, 3, 331, 165, 0, 809, 810, 3,
		327, 163, 0, 810, 142, 1, 0, 0, 0, 811, 812, 3, 319, 159, 0, 812, 813,
		3, 325, 162, 0, 813, 814, 3, 297, 148, 0, 814, 815, 3, 299, 149, 0, 815,
		816, 3, 325, 162, 0, 816, 144, 1, 0, 0, 0, 817, 818, 3, 291, 145, 0, 818,
		819, 3, 327, 163, 0, 819, 820, 3, 295, 147, 0, 820, 146, 1, 0, 0, 0, 821,
		822, 3, 297, 148, 0, 822, 823, 3, 299, 149, 0, 823, 824, 3, 327, 163, 0,
		824, 825, 3, 295, 147, 0, 825, 148, 1, 0, 0, 0, 826, 827, 3, 313, 156,
		0, 827, 828, 3, 307, 153, 0, 828, 829, 3, 311, 155, 0, 829, 830, 3, 299,
		149, 0, 830, 150, 1, 0, 0, 0, 831, 832, 3, 317, 158, 0, 832, 833, 3, 319,
		159, 0, 833, 834, 3, 329, 164, 0, 834, 152, 1, 0, 0, 0, 835, 836, 3, 293,
		146, 0, 836, 837, 3, 299, 149, 0, 837, 838, 3, 329, 164, 0, 838, 839, 3,
		335, 167, 0, 839, 840, 3, 299, 149, 0, 840, 841, 3, 299, 149, 0, 841, 842,
		3, 317, 158, 0, 842, 154, 1, 0, 0, 0, 843, 844, 3, 307, 153, 0, 844, 845,
		3, 327, 163, 0, 845, 156, 1, 0, 0, 0, 846, 847, 3, 303, 151, 0, 847, 848,
		3, 325, 162, 0, 848, 849, 3, 319, 159, 0, 849, 850, 3, 331, 165, 0, 850,
		851, 3, 321, 160, 0, 851, 158, 1, 0, 0, 0, 852, 853, 3, 305, 152, 0, 853,
		854, 3, 291, 145, 0, 854, 855, 3, 333, 166, 0, 855, 856, 3, 307, 153, 0,
		856, 857, 3, 317, 158, 0, 857, 858, 3, 303, 151, 0, 858, 160, 1, 0, 0,
		0, 859, 860, 3, 293, 146, 0, 860, 861, 3, 339, 169, 0, 861, 162, 1, 0,
		0, 0, 862, 863, 3, 301, 150, 0, 863, 864, 3, 319, 159, 0, 864, 865, 3,
		325, 162, 0, 865, 164, 1, 0, 0, 0, 866, 867, 3, 327, 163, 0, 867, 868,
		3, 329, 164, 0, 868, 869, 3, 291, 145, 0, 869, 870, 3, 329, 164, 0, 870,
		871, 3, 327, 163, 0, 871, 166, 1, 0, 0, 0, 872, 873, 3, 329, 164, 0, 873,
		874, 3, 307, 153, 0, 874, 875, 3, 315, 157, 0, 875, 876, 3, 299, 149, 0,
		876, 168, 1, 0, 0, 0, 877, 878, 3, 317, 158, 0, 878, 879, 3, 319, 159,
		0, 879, 880, 3, 335, 167, 0, 880, 170, 1, 0, 0, 0, 881, 882, 3, 307, 153,
		0, 882, 883, 3, 317, 158, 0, 883, 172, 1, 0, 0, 0, 884, 885, 3, 325, 162,
		0, 885, 886, 3, 319, 159, 0, 886, 887, 3, 313, 156, 0, 887, 888, 3, 313,
		156, 0, 888, 889, 3, 331, 165, 0, 889, 890, 3, 321, 160, 0, 890, 174, 1,
		0, 0, 0, 891, 892, 3, 313, 156, 0, 892, 893, 3, 319, 159, 0, 893, 894,
		3, 303, 151, 0, 894, 176, 1, 0, 0, 0, 895, 896, 3, 321, 160, 0, 896, 897,
		3, 325, 162, 0, 897, 898, 3, 319, 159, 0, 898, 899, 3, 301, 150, 0, 899,
		900, 3, 307, 153, 0, 900, 901, 3, 313, 156, 0, 901, 902, 3, 299, 149, 0,
		902, 178, 1, 0, 0, 0, 903, 904, 3, 325, 162, 0, 904, 905, 3, 299, 149,
		0, 905, 906, 3, 323, 161, 0, 906, 907, 3, 331, 165, 0, 907, 908, 3, 299,
		149, 0, 908, 909, 3, 327, 163, 0, 909, 910, 3, 329, 164, 0, 910, 911, 3,
		327, 163, 0, 911, 180, 1, 0, 0, 0, 912, 913, 3, 325, 162, 0, 913, 914,
		3, 299, 149, 0, 914, 915, 3, 323, 161, 0, 915, 916, 3, 331, 165, 0, 916,
		917, 3, 299, 149, 0, 917, 918, 3, 327, 163, 0, 918, 919, 3, 329, 164, 0,
		919, 182, 1, 0, 0, 0, 920, 921, 3, 307, 153, 0, 921, 922, 3, 297, 148,
		0, 922, 184, 1, 0, 0, 0, 923, 924, 3, 327, 163, 0, 924, 925, 3, 331, 165,
		0, 925, 926, 3, 315, 157, 0, 926, 186, 1, 0, 0, 0, 927, 928, 3, 315, 157,
		0, 928, 929, 3, 307, 153, 0, 929, 930, 3, 317, 158, 0, 930, 188, 1, 0,
		0, 0, 931, 932, 3, 315, 157, 0, 932, 933, 3, 291, 145, 0, 933, 934, 3,
		337, 168, 0, 934, 190, 1, 0, 0, 0, 935, 936, 3, 295, 147, 0, 936, 937,
		3, 319, 159, 0, 937, 938, 3, 331, 165, 0, 938, 939, 3, 317, 158, 0, 939,
		940, 3, 329, 164, 0, 940, 192, 1, 0, 0, 0, 941, 942, 3, 313, 156, 0, 942,
		943, 3, 291, 145, 0, 943, 944, 3, 327, 163, 0, 944, 945, 3, 329, 164, 0,
		945, 194, 1, 0, 0, 0, 946, 947, 3, 301, 150, 0, 947, 948, 3, 307, 153,
		0, 948, 949, 3, 325, 162, 0, 949, 950, 3, 327, 163, 0, 950, 951, 3, 329,
		164, 0, 951, 196, 1, 0, 0, 0, 952, 953, 3, 291, 145, 0, 953, 954, 3, 333,
		166, 0, 954, 955, 3, 303, 151, 0, 955, 198, 1, 0, 0, 0, 956, 957, 3, 327,
		163, 0, 957, 958, 3, 329, 164, 0, 958, 959, 3, 297, 148, 0, 959, 960, 3,
		297, 148, 0, 960, 961, 3, 299, 149, 0, 961, 962, 3, 333, 166, 0, 962, 200,
		1, 0, 0, 0, 963, 964, 3, 323, 161, 0, 964, 965, 3, 331, 165, 0, 965, 966,
		3, 291, 145, 0, 966, 967, 3, 317, 158, 0, 967, 968, 3, 329, 164, 0, 968,
		969, 3, 307, 153, 0, 969, 970, 3, 313, 156, 0, 970, 971, 3, 299, 149, 0,
		971, 202, 1, 0, 0, 0, 972, 973, 3, 325, 162, 0, 973, 974, 3, 291, 145,
		0, 974, 975, 3, 329, 164, 0, 975, 976, 3, 299, 149, 0, 976, 204, 1, 0,
		0, 0, 977, 978, 3, 317, 158, 0, 978, 979, 3, 331, 165, 0, 979, 980, 3,
		315, 157, 0, 980, 981, 3, 319, 159, 0, 981, 982, 3, 301, 150, 0, 982, 983,
		3, 327, 163, 0, 983, 984, 3, 305, 152, 0, 984, 985, 3, 291, 145, 0, 985,
		986, 3, 325, 162, 0, 986, 987, 3, 297, 148, 0, 987, 206, 1, 0, 0, 0, 988,
		989, 3, 325, 162, 0, 989, 990, 3, 299, 149, 0, 990, 991, 3, 321, 160, 0,
		991, 992, 3, 313, 156, 0, 992, 993, 3, 307, 153, 0, 993, 994, 3, 295, 147,
		0, 994, 995, 3, 291, 145, 0, 995, 996, 3, 301, 150, 0, 996, 997, 3, 291,
		145, 0, 997, 998, 3, 295, 147, 0, 998, 999, 3, 329, 164, 0, 999, 1000,
		3, 319, 159, 0, 1000, 1001, 3, 325, 162, 0, 1001, 208, 1, 0, 0, 0, 1002,
		1003, 3, 291, 145, 0, 1003, 1004, 3, 331, 165, 0, 1004, 1005, 3, 329, 164,
		0, 1005, 1006, 3, 319, 159, 0, 1006, 1007, 3, 295, 147, 0, 1007, 1008,
		3, 325, 162, 0, 1008, 1009, 3, 299, 149, 0, 1009, 1010, 3, 291, 145, 0,
		1010, 1011, 3, 329, 164, 0, 1011, 1012, 3, 299, 149, 0, 1012, 1013, 3,
		317, 158, 0, 1013, 1014, 3, 327, 163, 0, 1014, 210, 1, 0, 0, 0, 1015, 1016,
		3, 293, 146, 0, 1016, 1017, 3, 299, 149, 0, 1017, 1018, 3, 305, 152, 0,
		1018, 1019, 3, 299, 149, 0, 1019, 1020, 3, 291, 145, 0, 1020, 1021, 3,
		297, 148, 0, 1021, 212, 1, 0, 0, 0, 1022, 1023, 3, 291, 145, 0, 1023, 1024,
		3, 305, 152, 0, 1024, 1025, 3, 299, 149, 0, 1025, 1026, 3, 291, 145, 0,
		1026, 1027, 3, 297, 148, 0, 1027, 214, 1, 0, 0, 0, 1028, 1029, 3, 325,
		162, 0, 1029, 1030, 3, 299, 149, 0, 1030, 1031, 3, 329, 164, 0, 1031, 1032,
		3, 299, 149, 0, 1032, 1033, 3, 317, 158, 0, 1033, 1034, 3, 329, 164, 0,
		1034, 1035, 3, 307, 153, 0, 1035, 1036, 3, 319, 159, 0, 1036, 1037, 3,
		317, 158, 0, 1037, 216, 1, 0, 0, 0, 1038, 1039, 3, 327, 163, 0, 1039, 218,
		1, 0, 0, 0, 1040, 1041, 5, 109, 0, 0, 1041, 220, 1, 0, 0, 0, 1042, 1043,
		3, 305, 152, 0, 1043, 222, 1, 0, 0, 0, 1044, 1045, 3, 297, 148, 0, 1045,
		224, 1, 0, 0, 0, 1046, 1047, 3, 335, 167, 0, 1047, 226, 1, 0, 0, 0, 1048,
		1049, 5, 77, 0, 0, 1049, 228, 1, 0, 0, 0, 1050, 1051, 3, 339, 169, 0, 1051,
		230, 1, 0, 0, 0, 1052, 1053, 5, 46, 0, 0, 1053, 232, 1, 0, 0, 0, 1054,
		1055, 5, 58, 0, 0, 1055, 234, 1, 0, 0, 0, 1056, 1057, 5, 61, 0, 0, 1057,
		236, 1, 0, 0, 0, 1058, 1059, 5, 60, 0, 0, 1059, 1060, 5, 62, 0, 0, 1060,
		238, 1, 0, 0, 0, 1061, 1062, 5, 33, 0, 0, 1062, 1063, 5, 61, 0, 0, 1063,
		240, 1, 0, 0, 0, 1064, 1065, 5, 62, 0, 0, 1065, 242, 1, 0, 0, 0, 1066,
		1067, 5, 62, 0, 0, 1067, 1068, 5, 61, 0, 0, 1068, 244, 1, 0, 0, 0, 1069,
		1070, 5, 60, 0, 0, 1070, 246, 1, 0, 0, 0, 1071, 1072, 5, 60, 0, 0, 1072,
		1073, 5, 61, 0, 0, 1073, 248, 1, 0, 0, 0, 1074, 1075, 5, 61, 0, 0, 1075,
		1076, 5, 126, 0, 0, 1076, 250, 1, 0, 0, 0, 1077, 1078, 5, 33, 0, 0, 1078,
		1079, 5, 126, 0, 0, 1079, 252, 1, 0, 0, 0, 1080, 1081, 5, 44, 0, 0, 1081,
		254, 1, 0, 0, 0, 1082, 1083, 5, 123, 0, 0, 1083, 256, 1, 0, 0, 0, 1084,
		1085, 5, 125, 0, 0, 1085, 258, 1, 0, 0, 0, 1086, 1087, 5, 91, 0, 0, 1087,
		260, 1, 0, 0, 0, 1088, 1089, 5, 93, 0, 0, 1089, 262, 1, 0, 0, 0, 1090,
		1091, 5, 40, 0, 0, 1091, 264, 1, 0, 0, 0, 1092, 1093, 5, 41, 0, 0, 1093,
		266, 1, 0, 0, 0, 1094, 1095, 5, 43, 0, 0, 1095, 268, 1, 0, 0, 0, 1096,
		1097, 5, 45, 0, 0, 1097, 270, 1, 0, 0, 0, 1098, 1099, 5, 47, 0, 0, 1099,
		272, 1, 0, 0, 0, 1100, 1101, 5, 42, 0, 0, 1101, 274, 1, 0, 0, 0, 1102,
		1103, 5, 37, 0, 0, 1103, 276, 1, 0, 0, 0, 1104, 1105, 5, 95, 0, 0, 1105,
		278, 1, 0, 0, 0, 1106, 1107, 3, 289, 144, 0, 1107, 280, 1, 0, 0, 0, 1108,
		1110, 3, 287, 143, 0, 1109, 1108, 1, 0, 0, 0, 1110, 1111, 1, 0, 0, 0, 1111,
		1109, 1, 0, 0, 0, 1111, 1112, 1, 0, 0, 0, 1112, 282, 1, 0, 0, 0, 1113,
		1115, 3, 287, 143, 0, 1114, 1113, 1, 0, 0, 0, 1115, 1116, 1, 0, 0, 0, 1116,
		1114, 1, 0, 0, 0, 1116, 1117, 1, 0, 0, 0, 1117, 1118, 1, 0, 0, 0, 1118,
		1119, 5, 46, 0, 0, 1119, 1123, 8, 6, 0, 0, 1120, 1122, 3, 287, 143, 0,
		1121, 1120, 1, 0, 0, 0, 1122, 1125, 1, 0, 0, 0, 1123, 1121, 1, 0, 0, 0,
		1123, 1124, 1, 0, 0, 0, 1124, 1133, 1, 0, 0, 0, 1125, 1123, 1, 0, 0, 0,
		1126, 1128, 5, 46, 0, 0, 1127, 1129, 3, 287, 143, 0, 1128, 1127, 1, 0,
		0, 0, 1129, 1130, 1, 0, 0, 0, 1130, 1128, 1, 0, 0, 0, 1130, 1131, 1, 0,
		0, 0, 1131, 1133, 1, 0, 0, 0, 1132, 1114, 1, 0, 0, 0, 1132, 1126, 1, 0,
		0, 0, 1133, 284, 1, 0, 0, 0, 1134, 1135, 7, 5, 0, 0, 1135, 286, 1, 0, 0,
		0, 1136, 1137, 7, 7, 0, 0, 1137, 288, 1, 0, 0, 0, 1138, 1144, 7, 8, 0,
		0, 1139, 1143, 7, 8, 0, 0, 1140, 1143, 3, 287, 143, 0, 1141, 1143, 7, 9,
		0, 0, 1142, 1139, 1, 0, 0, 0, 1142, 1140, 1, 0, 0, 0, 1142, 1141, 1, 0,
		0, 0, 1143, 1146, 1, 0, 0, 0, 1144, 1142, 1, 0, 0, 0, 1144, 1145, 1, 0,
		0, 0, 1145, 1189, 1, 0, 0, 0, 1146, 1144, 1, 0, 0, 0, 1147, 1148, 5, 36,
		0, 0, 1148, 1152, 5, 123, 0, 0, 1149, 1151, 9, 0, 0, 0, 1150, 1149, 1,
		0, 0, 0, 1151, 1154, 1, 0, 0, 0, 1152, 1153, 1, 0, 0, 0, 1152, 1150, 1,
		0, 0, 0, 1153, 1155, 1, 0, 0, 0, 1154, 1152, 1, 0, 0, 0, 1155, 1189, 5,
		125, 0, 0, 1156, 1160, 7, 10, 0, 0, 1157, 1161, 7, 8, 0, 0, 1158, 1161,
		3, 287, 143, 0, 1159, 1161, 7, 11, 0, 0, 1160, 1157, 1, 0, 0, 0, 1160,
		1158, 1, 0, 0, 0, 1160, 1159, 1, 0, 0, 0, 1161, 1162, 1, 0, 0, 0, 1162,
		1160, 1, 0, 0, 0, 1162, 1163, 1, 0, 0, 0, 1163, 1189, 1, 0, 0, 0, 1164,
		1168, 5, 34, 0, 0, 1165, 1167, 9, 0, 0, 0, 1166, 1165, 1, 0, 0, 0, 1167,
		1170, 1, 0, 0, 0, 1168, 1169, 1, 0, 0, 0, 1168, 1166, 1, 0, 0, 0, 1169,
		1171, 1, 0, 0, 0, 1170, 1168, 1, 0, 0, 0, 1171, 1189, 5, 34, 0, 0, 1172,
		1176, 5, 96, 0, 0, 1173, 1175, 9, 0, 0, 0, 1174, 1173, 1, 0, 0, 0, 1175,
		1178, 1, 0, 0, 0, 1176, 1177, 1, 0, 0, 0, 1176, 1174, 1, 0, 0, 0, 1177,
		1179, 1, 0, 0, 0, 1178, 1176, 1, 0, 0, 0, 1179, 1189, 5, 96, 0, 0, 1180,
		1184, 5, 39, 0, 0, 1181, 1183, 9, 0, 0, 0, 1182, 1181, 1, 0, 0, 0, 1183,
		1186, 1, 0, 0, 0, 1184, 1185, 1, 0, 0, 0, 1184, 1182, 1, 0, 0, 0, 1185,
		1187, 1, 0, 0, 0, 1186, 1184, 1, 0, 0, 0, 1187, 1189, 5, 39, 0, 0, 1188,
		1138, 1, 0, 0, 0, 1188, 1147, 1, 0, 0, 0, 1188, 1156, 1, 0, 0, 0, 1188,
		1164, 1, 0, 0, 0, 1188, 1172, 1, 0, 0, 0, 1188, 1180, 1, 0, 0, 0, 1189,
		290, 1, 0, 0, 0, 1190, 1191, 7, 12, 0, 0, 1191, 292, 1, 0, 0, 0, 1192,
		1193, 7, 13, 0, 0, 1193, 294, 1, 0, 0, 0, 1194, 1195, 7, 14, 0, 0, 1195,
		296, 1, 0, 0, 0, 1196, 1197, 7, 15, 0, 0, 1197, 298, 1, 0, 0, 0, 1198,
		1199, 7, 3, 0, 0, 1199, 300, 1, 0, 0, 0, 1200, 1201, 7, 16, 0, 0, 1201,
		302, 1, 0, 0, 0, 1202, 1203, 7, 17, 0, 0, 1203, 304, 1, 0, 0, 0, 1204,
		1205, 7, 18, 0, 0, 1205, 306, 1, 0, 0, 0, 1206, 1207, 7, 19, 0, 0, 1207,
		308, 1, 0, 0, 0, 1208, 1209, 7, 20, 0, 0, 1209, 310, 1, 0, 0, 0, 1210,
		1211, 7, 21, 0, 0, 1211, 312, 1, 0, 0, 0, 1212, 1213, 7, 22, 0, 0, 1213,
		314, 1, 0, 0, 0, 1214, 1215, 7, 23, 0, 0, 1215, 316, 1, 0, 0, 0, 1216,
		1217, 7, 24, 0, 0, 1217, 318, 1, 0, 0, 0, 1218, 1219, 7, 25, 0, 0, 1219,
		320, 1, 0, 0, 0, 1220, 1221, 7, 26, 0, 0, 1221, 322, 1, 0, 0, 0, 1222,
		1223, 7, 27, 0, 0, 1223, 324, 1, 0, 0, 0, 1224, 1225, 7, 28, 0, 0, 1225,
		326, 1, 0, 0, 0, 1226, 1227, 7, 29, 0, 0, 1227, 328, 1, 0, 0, 0, 1228,
		1229, 7, 30, 0, 0, 1229, 330, 1, 0, 0, 0, 1230, 1231, 7, 31, 0, 0, 1231,
		332, 1, 0, 0, 0, 1232, 1233, 7, 32, 0, 0, 1233, 334, 1, 0, 0, 0, 1234,
		1235, 7, 33, 0, 0, 1235, 336, 1, 0, 0, 0, 1236, 1237, 7, 34, 0, 0, 1237,
		338, 1, 0, 0, 0, 1238, 1239, 7, 35, 0, 0, 1239, 340, 1, 0, 0, 0, 1240,
		1241, 7, 36, 0, 0, 1241, 342, 1, 0, 0, 0, 20, 0, 362, 364, 372, 386, 393,
		1111, 1116, 1123, 1130, 1132, 1142, 1144, 1152, 1160, 1162, 1168, 1176,
		1184, 1188, 1, 6, 0, 0,
	}
	deserializer := antlr.NewATNDeserializer(nil)
	staticData.atn = deserializer.Deserialize(staticData.serializedATN)
	atn := staticData.atn
	staticData.decisionToDFA = make([]*antlr.DFA, len(atn.DecisionToState))
	decisionToDFA := staticData.decisionToDFA
	for index, state := range atn.DecisionToState {
		decisionToDFA[index] = antlr.NewDFA(state, index)
	}
}

// SQLLexerInit initializes any static state used to implement SQLLexer. By default the
// static state used to implement the lexer is lazily initialized during the first call to
// NewSQLLexer(). You can call this function if you wish to initialize the static state ahead
// of time.
func SQLLexerInit() {
	staticData := &SQLLexerLexerStaticData
	staticData.once.Do(sqllexerLexerInit)
}

// NewSQLLexer produces a new lexer instance for the optional input antlr.CharStream.
func NewSQLLexer(input antlr.CharStream) *SQLLexer {
	SQLLexerInit()
	l := new(SQLLexer)
	l.BaseLexer = antlr.NewBaseLexer(input)
	staticData := &SQLLexerLexerStaticData
	l.Interpreter = antlr.NewLexerATNSimulator(l, staticData.atn, staticData.decisionToDFA, staticData.PredictionContextCache)
	l.channelNames = staticData.ChannelNames
	l.modeNames = staticData.ModeNames
	l.RuleNames = staticData.RuleNames
	l.LiteralNames = staticData.LiteralNames
	l.SymbolicNames = staticData.SymbolicNames
	l.GrammarFileName = "SQL.g4"
	// TODO: l.EOF = antlr.TokenEOF

	return l
}

// SQLLexer tokens.
const (
	SQLLexerT__0             = 1
	SQLLexerT__1             = 2
	SQLLexerT__2             = 3
	SQLLexerSTRING           = 4
	SQLLexerWS               = 5
	SQLLexerT_CREATE         = 6
	SQLLexerT_UPDATE         = 7
	SQLLexerT_SET            = 8
	SQLLexerT_DROP           = 9
	SQLLexerT_INTERVAL       = 10
	SQLLexerT_INTERVAL_NAME  = 11
	SQLLexerT_SHARD          = 12
	SQLLexerT_REPLICATION    = 13
	SQLLexerT_MEMORY         = 14
	SQLLexerT_TTL            = 15
	SQLLexerT_META_TTL       = 16
	SQLLexerT_PAST_TTL       = 17
	SQLLexerT_FUTURE_TTL     = 18
	SQLLexerT_KILL           = 19
	SQLLexerT_ON             = 20
	SQLLexerT_SHOW           = 21
	SQLLexerT_RECOVER        = 22
	SQLLexerT_USE            = 23
	SQLLexerT_STATE_REPO     = 24
	SQLLexerT_STATE_MACHINE  = 25
	SQLLexerT_MASTER         = 26
	SQLLexerT_METADATA       = 27
	SQLLexerT_TYPES          = 28
	SQLLexerT_TYPE           = 29
	SQLLexerT_STORAGES       = 30
	SQLLexerT_STORAGE        = 31
	SQLLexerT_BROKER         = 32
	SQLLexerT_ROOT           = 33
	SQLLexerT_BROKERS        = 34
	SQLLexerT_ALIVE          = 35
	SQLLexerT_SCHEMAS        = 36
	SQLLexerT_DATASBAE       = 37
	SQLLexerT_DATASBAES      = 38
	SQLLexerT_NAMESPACE      = 39
	SQLLexerT_NAMESPACES     = 40
	SQLLexerT_NODE           = 41
	SQLLexerT_METRICS        = 42
	SQLLexerT_METRIC         = 43
	SQLLexerT_FIELD          = 44
	SQLLexerT_FIELDS         = 45
	SQLLexerT_TAG            = 46
	SQLLexerT_INFO           = 47
	SQLLexerT_KEYS           = 48
	SQLLexerT_KEY            = 49
	SQLLexerT_WITH           = 50
	SQLLexerT_VALUES         = 51
	SQLLexerT_VALUE          = 52
	SQLLexerT_FROM           = 53
	SQLLexerT_WHERE          = 54
	SQLLexerT_LIMIT          = 55
	SQLLexerT_QUERIES        = 56
	SQLLexerT_QUERY          = 57
	SQLLexerT_EXPLAIN        = 58
	SQLLexerT_WITH_VALUE     = 59
	SQLLexerT_SELECT         = 60
	SQLLexerT_AS             = 61
	SQLLexerT_AND            = 62
	SQLLexerT_OR             = 63
	SQLLexerT_FILL           = 64
	SQLLexerT_NULL           = 65
	SQLLexerT_PREVIOUS       = 66
	SQLLexerT_ORDER          = 67
	SQLLexerT_ASC            = 68
	SQLLexerT_DESC           = 69
	SQLLexerT_LIKE           = 70
	SQLLexerT_NOT            = 71
	SQLLexerT_BETWEEN        = 72
	SQLLexerT_IS             = 73
	SQLLexerT_GROUP          = 74
	SQLLexerT_HAVING         = 75
	SQLLexerT_BY             = 76
	SQLLexerT_FOR            = 77
	SQLLexerT_STATS          = 78
	SQLLexerT_TIME           = 79
	SQLLexerT_NOW            = 80
	SQLLexerT_IN             = 81
	SQLLexerT_ROLLUP         = 82
	SQLLexerT_LOG            = 83
	SQLLexerT_PROFILE        = 84
	SQLLexerT_REQUESTS       = 85
	SQLLexerT_REQUEST        = 86
	SQLLexerT_ID             = 87
	SQLLexerT_SUM            = 88
	SQLLexerT_MIN            = 89
	SQLLexerT_MAX            = 90
	SQLLexerT_COUNT          = 91
	SQLLexerT_LAST           = 92
	SQLLexerT_FIRST          = 93
	SQLLexerT_AVG            = 94
	SQLLexerT_STDDEV         = 95
	SQLLexerT_QUANTILE       = 96
	SQLLexerT_RATE           = 97
	SQLLexerT_NUM_OF_SHARD   = 98
	SQLLexerT_REPLICA_FACTOR = 99
	SQLLexerT_AUTO_CREATE_NS = 100
	SQLLexerT_BEHEAD         = 101
	SQLLexerT_AHEAD          = 102
	SQLLexerT_RETENTION      = 103
	SQLLexerT_SECOND         = 104
	SQLLexerT_MINUTE         = 105
	SQLLexerT_HOUR           = 106
	SQLLexerT_DAY            = 107
	SQLLexerT_WEEK           = 108
	SQLLexerT_MONTH          = 109
	SQLLexerT_YEAR           = 110
	SQLLexerT_DOT            = 111
	SQLLexerT_COLON          = 112
	SQLLexerT_EQUAL          = 113
	SQLLexerT_NOTEQUAL       = 114
	SQLLexerT_NOTEQUAL2      = 115
	SQLLexerT_GREATER        = 116
	SQLLexerT_GREATEREQUAL   = 117
	SQLLexerT_LESS           = 118
	SQLLexerT_LESSEQUAL      = 119
	SQLLexerT_REGEXP         = 120
	SQLLexerT_NEQREGEXP      = 121
	SQLLexerT_COMMA          = 122
	SQLLexerT_OPEN_B         = 123
	SQLLexerT_CLOSE_B        = 124
	SQLLexerT_OPEN_SB        = 125
	SQLLexerT_CLOSE_SB       = 126
	SQLLexerT_OPEN_P         = 127
	SQLLexerT_CLOSE_P        = 128
	SQLLexerT_ADD            = 129
	SQLLexerT_SUB            = 130
	SQLLexerT_DIV            = 131
	SQLLexerT_MUL            = 132
	SQLLexerT_MOD            = 133
	SQLLexerT_UNDERLINE      = 134
	SQLLexerL_ID             = 135
	SQLLexerL_INT            = 136
	SQLLexerL_DEC            = 137
)
